#include <gtest/gtest.h>
#include <Arduino.h>
#include "IO.h"

using io::IO;

TEST(IO, DigialInput){
  auto pin1 = IO.digitalInput(1);
}

TEST(IO, DigialInputWithPullup){
  auto pin1 = IO.digitalInputWithPullup(1);
}

TEST(IO, DigitalOutput){
  auto pin1 = IO.digitalOutput(1);
}


TEST(IO, AnalogOutput){
  auto pin1 = IO.analogOutput(1);
}


TEST(IO, AnalogInput){
  auto pin1 = IO.analogInput(1);
}


TEST(IO, AddressRead){
  float value = 0;
  auto valueReader = IO.inputFromAddress(&value);
  value = 1;
  float read = valueReader.read();
  ASSERT_EQ(read, value);
}




int main(int argc,char ** argv){
  testing::InitGoogleTest(&argc,argv);
  return RUN_ALL_TESTS();
}